Role Name
=========

A role that that installs Redmine and some of its plugins. <https://www.redmine.org>

Role Variables
--------------

The most important variables are listed below:

``` yaml
redmine_version: 4.0.1
redmine_inst_name: redmine
redmine_main_project: redmine
redmine_db_user: redm_db_user
redmine_db_name: redm_db_name
redmine_db_host: localhost
# The commented variables need to be set on the playbooks
#redmine_glob_root_dir: /srv/redmine
# It is a redmine_glob_root_dir subdirectory
redmine_inst_dir: redmine
redmine_user: redmine
redmine_group: '{{ redmine_user }}'

# Ubuntu 14.04: install ruby from a ppa to get a newer version
redmine_trusty_ruby_repo: 'ppa:brightbox/ruby-ng'
trusty_ruby_version: 2.3

redmine_sysvinit_service_name: '{{ redmine_inst_name }}'
redmine_systemd_service_name: 'unicorn@{{ redmine_inst_name }}.service'
redmine_service_name: '{{ redmine_systemd_service_name }}'

redmine_log_level: warn
# Minutes, from 1 to 60
redmine_ldap_sync_freq: 10
# users, groups, all
redmine_ldap_sync_who: all

redmine_glob_user: www-data
redmine_glob_group: www-data
redmine_glob_users_home_base: /srv/redmine-home

redmine_imap_sync: False
redmine_imap_server: localhost
redmine_imap_user: ''
#redmine_imap_password: 'Use a vault file'
redmine_imap_unknown_user_action: ignore
redmine_imap_starttls: true
redmine_imap_sync_additional_options: ''

# Plugins
rm_ldap_auth: False
rm_ldap_synch: False
rm_better_gant_plugin: False
rm_login_audit_plugin: False
rm_progressive_projects_plugin: False
rm_didyoumean_plugin: False
rm_graphs_plugin: False
rm_embedded_tabs_plugin: False
rm_recurring_tasks_plugin: False
redmine_install_agile_plugin: False
rm_scrum_plugin: False
rm_advanced_roadmap_plugin: False
rm_scrum2b_plugin: False
rm_autowatcher_plugin: False
rm_issuereminder_plugin: False
rm_issue_reminder_plugin_freq_min: 0
rm_issue_reminder_plugin_freq_hour: 5
rm_issue_reminder_plugin_freq_weekday: 1
# https://github.com/arkhitech/redmine_update_reminder
# We configure to send the email reminders once a week on monday morning by default
rm_updatereminder_plugin: False
rm_updatereminder_plugin_freq_min: 0
rm_updatereminder_plugin_freq_hour: 5
rm_updatereminder_plugin_freq_weekday: 1
rm_mention_plugin: False
rm_mentions_plugin: False
rm_defaultcustomquery_plugin: False
rm_gamification_plugin: False
rm_closesresolvedissue_plugin: False
rm_defaultassign_plugin: False
rm_onceassignedeverwatcher_plugin: False
rm_clipboardimagepaste_plugin: False
rm_hotkeysjs_plugin: False
rm_issuessorting_plugin: False
rm_mylyn_plugin: False
rm_quickedit_plugin: False
rm_quickview_plugin: False
rm_codereview_plugin: False
rm_globalroles_plugin: False
rm_unreadissues_plugin: False
rm_usability_plugin: False
rm_mylynconnector_plugin: False
rm_addsubversionlinks_plugin: False
rm_wiki_external_plugin: False
rm_pastebin_plugin: False
rm_issue_templates_plugin: False
# TODO lists plugin: https://redmine.org/plugins/redmine_issue_todo_lists
rm_issue_todo_lists_plugin: False
#
# IMPORTANT: these are mutually exclusive. One of the two needs to be set to True
ruby_use_mod_passenger: False
ruby_use_unicorn: True
# Redmine 2.x only
rm_involvement_plugin: False
rm_omniauth_plugin: False

# Used by unicorn
unicorn_listen_port: 4000
unicorn_listen_address: 127.0.0.1
unicorn_worker_processes: 5
unicorn_timeout: 120
unicorn_log_dir: /var/log/unicorn
unicorn_pid_dir: '{{ unicorn_log_dir }}'
unicorn_pid_file: '{{ unicorn_pid_dir }}/unicorn.pid'
```

Dependencies
------------

None

License
-------

EUPL-1.2

Author Information
------------------

Andrea Dell'Amico, <andrea.dellamico@isti.cnr.it>
